Bug 33511 - The /etc/init.d/autofs fails to use the /etc/auto.net map.
Summary: The /etc/init.d/autofs fails to use the /etc/auto.net map.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-27 23:04 UTC by Virtual Janitor
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-27 23:04:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Virtual Janitor 2001-03-27 23:04:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-0.1.28 i686)


The executable /etc/auto.net script fails to get used, even if it is
defined in /etc/auto.master, when the /etc/nsswitch.conf includes
"automount: nis files" instead of "automount: files nis" and if the shared
NIS auto.master has a "-hosts" line.

Reproducible: Always
Steps to Reproduce:
1. SunOS NIS environment with a -hosts line in yp auto.master map
2. local /etc/auto.net script and /etc/auto.master with "/net 
/etc/auto.net".
3. /etc/nsswitch.conf with "automount:  nis files"
	

Actual Results:  undefined automount point /net

Expected Results:  automount point /net

My workaround:

--- autofs      Sat Mar  3 12:30:45 2001
+++ autofs.gbm  Tue Mar 27 15:50:31 2001
@@ -121,6 +121,7 @@
        getrawmounts | (
        while read dir map options
        do
+            if [ ! -z "$map" -a "$map" = "-hosts" ] ; then continue; fi;
            # These checks screen out duplicates and skip over directories
            # where the map is '-'.
            if [ ! -z "$dir" -a ! -z "$map" \

Comment 1 Nalin Dahyabhai 2001-08-28 23:18:19 UTC
This should be integrated into autofs-3.1.7-20 and later.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.